upstart → systemd upgrade path issue

Petr Lautrbach plautrba at
Wed May 25 11:04:05 UTC 2011

On Wed, May 25, 2011 at 11:33:50AM +0200, Kevin Kofler wrote:
> Hi,
> today this update:
> got pushed to F14. (FWIW, I don't see how this is consistent with the update 
> policies, but that's not the matter here.)


upstart-1.x branch is considered as stable and it's recommended update, see [1]
upstart-1.2-2 hasn't changed upstart behavior. It fixes upstream bugs and also adds new
features like new stanzas (manual,debug) and also .override files
feature adapted from Ubuntu.

> The result is that systemd in F15 no longer Obsoletes the upstart in F14:
> This is going to break upgrades from F14 to F15 for many of our users. :-(

Upgrade still installs systemd. systemd provides systemd-sysvinit which is required
by initscripts. 

There is only issue is that upstart is not uninstalled and pulls
initscripts-legacy as pointed in [2].



More information about the devel mailing list